﻿@model IEnumerable<Airlines.Business.DTOs.AirportDTO>

@{
    ViewData["Title"] = "Edit";
}

<div class="container-form">
	<div class="container-head">
		<a href="/">
			<img src="~/assets/left sidebar.png" alt="bar" />
		</a>
		<h1>Airports</h1>
	</div>
	<table class="table">
		<tr class="table-head">
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.ID)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Name)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Country)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.City)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Code)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Runways_count)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Founded)
			</th>
		</tr>
		@foreach (var item in Model)
		{
			<tr>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.ID)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Name)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Country)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.City)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Code)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Runways_count)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Founded)
				</td>
			</tr>
		}
	</table>
	<form class="form">
		<legend>Edit Airport</legend>

		<label for="name">Name</label>
		<input type="text" id="name" name="name" value="@Model.FirstOrDefault()?.Name" />

		<label for="county">County</label>
		<input type="text" id="county" name="county" value="@Model.FirstOrDefault()?.Country" />

		<label for="city">City</label>
		<input type="text" id="city" name="city" value="@Model.FirstOrDefault()?.City" />

		<label for="code">Code</label>
		<input type="text" id="code" name="code" value="@Model.FirstOrDefault()?.Code" />

		<label for="runways_count">Runways Count</label>
		<input type="text" id="runways_count" name="runways_count" value="@Model.FirstOrDefault()?.Runways_count" />

		<label for="founded">Founded</label>
		<input type="text" id="founded" name="founded" value="@Model.FirstOrDefault()?.Founded" />

		<input type="submit" class="block-button-form" asp-action="Edit" />
	</form>
</div>

